%define tar_name	logilab-astroid
%define module	astroid
%define bitbucket_ver 315668c10333

Name:		python-%{module}
Summary:	Extension of compiler.ast Python module
Version:	1.2.1
Release:	%mkrel 1
Source0:    https://bitbucket.org/logilab/astroid/get/%{tar_name}-%{bitbucket_ver}.tar.gz
License:	GPLv2+
Group:		Development/Python
Url:		http://www.pylint.org/astroid
Requires:	python-logilab-common >= 0.62.0
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python-logilab-common
BuildRequires:	python3-logilab-common
Provides: python-logilab-astng
Obsoletes: python-logilab-astng

%description
This module provides a common base representation of Python source
code for Logilab projects such as pylint. It extends class defined in
the compiler.ast module with some additional methods and attributes

%package -n	python3-%{module}
Summary:	Extension of compiler.ast Python module
Requires:	python3-logilab-common >= 0.62.0
BuildRequires:	python3-setuptools
Provides: python3-logilab-astng
Obsoletes: python3-logilab-astng

%description -n	python3-%{module}
This module provides a common base representation of Python source
code for Logilab projects such as pylint. It extends class defined in
the compiler.ast module with some additional methods and attributes

This is a version for Python 3.

%prep
%setup -q -n %{tar_name}-%{bitbucket_ver}

# py3K prep
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
NO_SETUPTOOLS=1 %{__python} setup.py build

# py3k build
pushd %{py3dir}
NO_SETUPTOOLS=1 %{__python3} setup.py build
popd

%check
#pushd %{py3dir}/build/lib/astroid/test
#PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3}-pytest
#popd
#pushd build/lib/astroid
#PYTHONPATH=%{buildroot}%{python_sitelib} %{__python} -Wi -m unittest discover -s test -p "unittest*.py"
#popd

%install
# py3k install
pushd %{py3dir}
NO_SETUPTOOLS=1 %{__python3} setup.py install -O1 --root %{buildroot}
rm -rf %{buildroot}%{python3_sitelib}/astroid/test
popd

# python2
NO_SETUPTOOLS=1 %{__python} setup.py install -O1 --root=%{buildroot}
rm -rf %{buildroot}%{python_sitelib}/astroid/test

%files
%doc README COPYING ChangeLog
%{python_sitelib}/astroid*

%files -n python3-%{module}
%doc README COPYING ChangeLog
%{python3_sitelib}/astroid*




%changelog
* Mon Oct 20 2014 grenoya <grenoya> 1.2.1-1.mga5
+ Revision: 792188
- new version 1.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2-8.mga5
+ Revision: 747808
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2-7.mga5
+ Revision: 728067
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2-6.mga5
+ Revision: 687888
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 grenoya <grenoya> 1.2-5.mga5
+ Revision: 660019
- new version 1.2

* Sat May 31 2014 pterjan <pterjan> 1.1-5.mga5
+ Revision: 629723
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.1-4.mga5
+ Revision: 628458
- Rebuild for new Python

* Sat May 10 2014 grenoya <grenoya> 1.1-3.mga5
+ Revision: 621835
- disable tests for python2 (pass in uirt)
- disable tests for python3
- fix tests for python3
- fix python3 tests
- change tests call so it doesn't download logilab-common but use our version
- separate package name and tarball name
- add python-logilab-common as BR (needed during tests)
- new version 1.1

  + philippem <philippem>
    - make tests output less verbose (remove warnings)

* Tue Oct 22 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 542938
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.0-2.mga4
+ Revision: 498120
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 1.0.0-1.mga4
+ Revision: 490414
- new version 1.0.0
- adaptation of the spec file to new name
- logilab-astng renamed in astroid

* Wed Oct 02 2013 grenoya <grenoya> 0.24.3-1.mga4
+ Revision: 490382
- new version 0.24.3
- add python3 package

* Sun Jan 13 2013 umeabot <umeabot> 0.24.1-2.mga3
+ Revision: 379053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 grenoya <grenoya> 0.24.1-1.mga3
+ Revision: 319860
- new version 0.24.1

* Mon Aug 20 2012 grenoya <grenoya> 0.24.0-1.mga3
+ Revision: 282676
- new version 0.24.0

* Sat Oct 08 2011 grenoya <grenoya> 0.23.0-1.mga2
+ Revision: 152983
- update to new version 0.23.0

* Wed Sep 07 2011 grenoya <grenoya> 0.22.0-2.mga2
+ Revision: 140711
- increment mkrel
- remove references to python 2.5

* Wed Sep 07 2011 grenoya <grenoya> 0.22.0-1.mga2
+ Revision: 140579
-clean spec
- imported package python-logilab-astng

